Returns one row of data from a Datatable (historically called a Microapp).
Use this endpoint when you already know the rowID. For the canonical explanation of row metadata, linked-table values, and embeddingRowID, see Row Metadata and Relationships.
parameters
The X-Auth-Token and X-User-Id are derived from the values authToken and userId returned from the login endpoint and are used in the HTTP header.
Resource
POST /api/microappdata/row
X-Auth-Token: <token goes here>
X-User-Id: <userID goes here>
{
"rowID":"<insert row id here>"
}
response
A JSON document with the row data. The returned row usually contains:
row data fields for your app
system-managed metadata such as _id, userID, submitted, clientSubmitted, and sometimes embeddingRowID
The success payload is returned as body.currentRow.
This endpoint is read-only. It does not accept field updates or metadata overrides.
example
Fetch a single row by passing a rowID.
linkedtable (crossapp row) field example
If the input Datatable row has a linked table (crossAppRow) field, then the target field information will be returned. Linked table fields create relationships between different tables in your app.
Structure:
crossAppRowID: The _id of the linked row in another table
value: Display information from the linked row
additionalValues: Additional field values from the linked row (optional)
Example Response:
Common Use Cases:
Connecting organizations to marketplace listings
Assigning users to projects or tasks
Linking products to categories
Creating many-to-many relationships between data tables
POST /api/microappdata/row
X-Auth-Token: <the authtoken you got back after authentication>
X-User-Id: <the userid you got back after authentication>
{
"rowID":"cd34d53eddaad4aa55656bb5"
}